Page MenuHomePhabricator

Disable DPL on wikis that aren't using it
Closed, ResolvedPublic

Description

Splitting from T287380: Decide on the future of DPL, we can disable DPL from wikis that aren't using it.

In https://gerrit.wikimedia.org/r/c/708376 a tracking category was added to identify pages using DPL.

We now can run refreshLinks.php across wikis that currently have DPL enabled, forcing all pages to be reparsed outside the normal cycle to ensure all DPL pages get added to the category.

If there are still 0 pages in the category after that, the extension isn't being used and can be disabled on that wiki.

Related incident:

Event Timeline

https://dpl-tracker.toolforge.org/stats.json (manually updated), I'll set up a proper web interface shortly. I've already run refreshLinks against wikimania.dblist, wikibooks.dblist. Currently running against wikiversity.dblist.

Change 709585 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Remove DynamicPageList from all Wikimania wikis except 2016

https://gerrit.wikimedia.org/r/709585

Change 709585 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove DynamicPageList from all Wikimania wikis except 2016

https://gerrit.wikimedia.org/r/709585

Mentioned in SAL (#wikimedia-operations) [2021-08-05T00:24:03Z] <legoktm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Remove DynamicPageList from all Wikimania wikis except 2016 (T287916) (duration: 01m 52s)

Looking at Wikimania wikis:

  • wikimania2016.wikimedia.org - 10 pages.

Fixed.

Change 710482 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Disable DPL on wikimania2016wiki

https://gerrit.wikimedia.org/r/710482

I wrote a script to find wikis that has that members in that category and the ones that do not:

def check_wiki(wiki):
    host = wiki.split('wiki')[0].replace('_', '-') + '.wiki'  + wiki.split('wiki')[1] + '.org'
    url = 'https://{}/w/api.php'.format(host)
    params = {
        'action': 'query',
        'meta': 'allmessages',
        'ammessages': 'intersection-category',
        'format': 'json'
    }
    category = requests.get(url, params=params).json()['query']['allmessages'][0]['*'].replace(' ', '_')
    params = {
        'action': 'query',
        'list':'categorymembers',
        'cmtitle': 'Category:' + category,
        'format': 'json'
    }
    result = requests.get(url, params=params).json()['query']['categorymembers']
    if result:
        print(wiki, 'uses DPL')
    else:
        print(wiki, 'does not use DPL')

Of course it's a quick and dirty code. The result can be found in P16968. 256 wikis don't use DPL (while being enabled) and 78 actually use them.

HTH

Of course it's a quick and dirty code. The result can be found in P16968. 256 wikis don't use DPL (while being enabled) and 78 actually use them.

That's what my dpl-tracker code mostly does too :) https://gitlab.com/legoktm/dpl-tracker/-/blob/master/src/main.rs

But the main thing is that the category won't be populated on smaller wikis until they get parsed by human/bot action. So I started running refreshLinks.php on those wikis, except it ran into *something* on dewikiversity and started triggering alerts so I stopped it and haven't looked at why yet.

of course you wrote it in Rust and I wrote it in python :D

In order to avoid stepping in each other toes again, let me know if I can help with anything.

Change 734421 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Disable DPL on Wikibooks where not in use

https://gerrit.wikimedia.org/r/734421

Change 734422 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Disable DPL on Wikinews where not in use

https://gerrit.wikimedia.org/r/734422

Change 734423 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Disable DPL on Wikiquotes where not in use

https://gerrit.wikimedia.org/r/734423

Change 734424 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Disable DPL on Wikisources where not in use

https://gerrit.wikimedia.org/r/734424

Change 734425 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Disable DPL on Wikiversities where not in use

https://gerrit.wikimedia.org/r/734425

Change 734426 had a related patch set uploaded (by Legoktm; author: Legoktm):

[operations/mediawiki-config@master] Disable DPL on opt-in wikis where not in use

https://gerrit.wikimedia.org/r/734426

By now link caches should've expired enough that I went ahead and re-checked the tracking category and came up with the following list to disable:

1aa.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
2af.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
3ak.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
4ang.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
5as.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
6ast.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
7ay.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
8az.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
9ba.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
10be.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
11bg.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
12bi.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
13bm.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
14bo.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
15bs.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
16ca.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
17ch.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
18co.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
19cs.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
20cv.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
21da.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
22eo.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
23et.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
24fy.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
25ga.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
26gl.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
27gn.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
28got.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
29gu.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
30he.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
31hr.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
32hy.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
33ia.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
34id.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
35ie.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
36is.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
37ja.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
38ka.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
39kk.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
40kn.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
41ko.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
42ks.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
43ku.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
44ky.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
45la.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
46lb.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
47li.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
48ln.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
49lt.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
50mg.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
51mi.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
52mk.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
53mn.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
54mr.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
55ms.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
56my.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
57na.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
58nah.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
59nds.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
60no.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
61oc.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
62pa.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
63ps.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
64qu.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
65rm.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
66sa.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
67se.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
68simple.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
69sk.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
70sl.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
71sq.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
72su.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
73sw.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
74te.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
75tg.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
76tk.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
77tr.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
78tt.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
79ug.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
80ur.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
81uz.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
82vo.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
83wa.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
84xh.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
85yo.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
86za.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
87zh-min-nan.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
88zu.wikibooks.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
89no.wikimedia.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
90strategy.wikimedia.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
91wikimania2016.wikimedia.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
92hu.wikinews.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
93th.wikinews.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
94bs.wikipedia.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
95af.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
96am.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
97ang.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
98ar.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
99ast.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
100az.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
101be.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
102bg.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
103bm.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
104br.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
105bs.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
106ca.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
107co.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
108cr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
109cs.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
110cy.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
111da.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
112de.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
113el.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
114eo.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
115et.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
116eu.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
117fi.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
118fr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
119ga.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
120gl.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
121gu.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
122he.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
123hi.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
124hr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
125hu.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
126hy.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
127id.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
128is.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
129ja.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
130ka.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
131kk.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
132kn.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
133ko.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
134kr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
135ks.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
136ku.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
137kw.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
138ky.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
139la.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
140lb.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
141li.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
142lt.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
143ml.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
144mr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
145na.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
146nds.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
147nl.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
148nn.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
149no.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
150pl.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
151pt.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
152qu.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
153ro.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
154ru.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
155sa.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
156sah.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
157simple.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
158sk.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
159sl.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
160sq.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
161sr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
162su.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
163sv.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
164ta.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
165te.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
166th.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
167tk.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
168tr.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
169tt.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
170ug.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
171ur.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
172uz.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
173vi.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
174vo.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
175wo.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
176za.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
177zh.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
178zh-min-nan.wikiquote.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
179ang.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
180ar.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
181az.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
182ban.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
183be.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
184bg.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
185br.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
186bs.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
187ca.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
188cy.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
189da.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
190de.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
191eo.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
192et.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
193eu.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
194fa.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
195fi.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
196fo.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
197gl.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
198gu.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
199he.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
200hi.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
201hr.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
202ht.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
203hu.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
204hy.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
205id.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
206is.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
207ja.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
208la.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
209li.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
210lij.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
211lt.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
212mk.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
213ml.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
214mr.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
215nl.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
216no.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
217or.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
218pa.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
219pms.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
220pt.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
221ro.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
222sa.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
223sah.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
224sk.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
225sl.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
226sr.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
227ta.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
228tr.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
229uk.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
230vec.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
231vi.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
232wa.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
233yi.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
234zh.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
235zh-min-nan.wikisource.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
236ar.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
237cs.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
238de.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
239el.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
240fi.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
241hi.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
242it.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
243ja.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
244ko.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
245ru.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
246sl.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
247sv.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
248zh.wikiversity.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
249es.wiktionary.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}
250is.wiktionary.org {'size': 0, 'pages': 0, 'files': 0, 'subcats': 0}

Change 734421 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DPL on Wikibooks where not in use

https://gerrit.wikimedia.org/r/734421

Mentioned in SAL (#wikimedia-operations) [2021-11-09T19:50:01Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734421|Disable DPL on Wikibooks where not in use (T287916)]] (duration: 00m 56s)

Change 734422 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DPL on Wikinews where not in use

https://gerrit.wikimedia.org/r/734422

Mentioned in SAL (#wikimedia-operations) [2021-11-09T19:55:50Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734422|Disable DPL on Wikinews where not in use (T287916)]] (duration: 00m 57s)

Change 734423 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DPL on Wikiquotes where not in use

https://gerrit.wikimedia.org/r/734423

Mentioned in SAL (#wikimedia-operations) [2021-11-15T14:15:34Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734423|Disable DPL on Wikiquotes where not in use (T287916)]] (duration: 00m 56s)

Change 734424 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DPL on Wikisources where not in use

https://gerrit.wikimedia.org/r/734424

Mentioned in SAL (#wikimedia-operations) [2021-11-22T14:48:22Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734424|Disable DPL on Wikisources where not in use (T287916)]] (duration: 00m 56s)

Change 734425 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DPL on Wikiversities where not in use

https://gerrit.wikimedia.org/r/734425

Mentioned in SAL (#wikimedia-operations) [2021-11-22T14:51:36Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734425|Disable DPL on Wikiversities where not in use (T287916)]] (duration: 00m 56s)

Change 734426 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DPL on opt-in wikis where not in use

https://gerrit.wikimedia.org/r/734426

Change 710482 abandoned by Ladsgroup:

[operations/mediawiki-config@master] Disable DPL on wikimania2016wiki

Reason:

Done in I158e4e6cc2d0de685b48cb9d5b9680db642c4881

https://gerrit.wikimedia.org/r/710482

Mentioned in SAL (#wikimedia-operations) [2021-11-22T14:55:54Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:734426|Disable DPL on opt-in wikis where not in use (T287916)]] (duration: 00m 56s)